LibreOffice: XAcceptor Interface Reference

LibreOffice LibreOffice 26.8 SDK API Reference

Loading...
Searching...
No Matches
XAcceptor Interface Referencepublished

allows to passively accept connection attempts from other processes. More...

`import "XAcceptor.idl";`

Inheritance diagram for XAcceptor:

## Public Member Functions
XConnection | accept ([in] string sConnectionDescription) raises ( AlreadyAcceptingException, ConnectionSetupException, com::sun::star::lang::IllegalArgumentException)
| accepts an interprocess connection.
void | stopAccepting ()
| pushes acceptor out of the accept-call.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to passively accept connection attempts from other processes.

This is the counterpart to the XConnector interface.

Developers Guide
  Professional UNO - Opening a Connection

## Member Function Documentation

## ◆ accept()

XConnection accept | ( | [in] string | sConnectionDescription | ) |
raises | ( | AlreadyAcceptingException,
|  | ConnectionSetupException,
|  | com::sun::star::lang::IllegalArgumentException ) |  |  |

accepts an interprocess connection.

Waits until someone connects to the resource.

After a successful return, the method may be called again to accept further connections, but the parameter string MUST be left unchanged.

Parameters

  sConnectionDescription | contains the kind of the connection plus a comma separated list of attributes, e.g., socket,host=localhost,port=2345 for a tcpip connection.

Returns
  null reference, stopAccepting was called. Otherwise a valid XConnection reference.

Exceptions

  AlreadyAcceptingException | Only one acceptor-thread per instance allowed.
  ConnectionSetupException | Problems during setting up the acceptor. (e.g., Security-reasons, socket already busy, etc.)
  com::sun::star::lang::IllegalArgumentException | sConnectionDescription could not be interpreted

## ◆ stopAccepting()

void stopAccepting | ( |  | ) |

pushes acceptor out of the accept-call.

The documentation for this interface was generated from the following file:

- com/sun/star/connection/XAcceptor.idl